| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
HistoryObj Class Referenceabstract

Base class for History Objects. More...

`#include <GaudiKernel/HistoryObj.h>`

Inheritance diagram for HistoryObj:
[legend]
Collaboration diagram for HistoryObj:
[legend]

## Public Member Functions
| HistoryObj ()=default
virtual | ~HistoryObj ()=default
const CLID & | clID () const override
| Retrieve reference to class definition structure. More...
virtual void | dump (std::ostream &, const bool isXML=false, int indent=0) const =0
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...

## Static Public Member Functions
static const CLID & | classID ()
static std::string | convert_string (const std::string &)
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...

## Protected Member Functions
virtual void | indent (std::ostream &, int) const

## Detailed Description

Base class for History Objects.

Author
  Charles Leggett

Date
  Jul 13 2004

Definition at line 21 of file HistoryObj.h.

## Constructor & Destructor Documentation

## ◆ HistoryObj()

HistoryObj::HistoryObj | ( |  | ) |
| default

## ◆ ~HistoryObj()

virtual HistoryObj::~HistoryObj | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ classID()

const CLID & HistoryObj::classID | ( |  | ) |
| static

Definition at line 55 of file HistoryObj.cpp.

55 {
56
57 static const CLID CLID_HistoryObj = 86452397;
58 return CLID_HistoryObj;
59 }
CLID
unsigned int CLID
Class ID definition.
Definition: ClassID.h:8

## ◆ clID()

const CLID& HistoryObj::clID | ( |  | ) | const
| inline override virtual

Retrieve reference to class definition structure.

Retrieve Pointer to class definition structure.

Reimplemented from DataObject.

Reimplemented in JobHistory, and ServiceHistory.

Definition at line 26 of file HistoryObj.h.

26 { return classID(); }
HistoryObj::classID
static const CLID & classID()
Definition: HistoryObj.cpp:55

## ◆ convert_string()

std::string HistoryObj::convert_string | ( | const std::string & | input_string | ) |
| static

Definition at line 20 of file HistoryObj.cpp.

20 {
21
22 // Conversion of special characteres into xml language
23
24 std::string modified_string;
25
26 for ( const auto& itr : input_string ) {
27 if ( itr == '&' )
28 modified_string.append( "&amp;" );
29 else if ( itr == '<' )
30 modified_string.append( "&lt;" );
31 else if ( itr == '>' )
32 modified_string.append( "&gt;" );
33 else if ( itr == '"' )
34 modified_string.append( "&quot;" );
35 else if ( itr == '\'' )
36 modified_string.append( "&apos;" );
37 else
38 modified_string += itr;
39 }
40
41 return modified_string;
42 }
std::string
STL class.
std::string::append
T append(T... args)

## ◆ dump()

virtual void HistoryObj::dump | ( | std::ostream & | ,
|  | const bool | isXML = `false`,
|  | int | indent = `0`
| ) |  | const
| pure virtual

Implemented in AlgorithmHistory, JobHistory, AlgToolHistory, DataHistory, and ServiceHistory.

## ◆ indent()

void HistoryObj::indent | ( | std::ostream & | ost,
|  | int | i
| ) |  | const
| protected virtual

Definition at line 46 of file HistoryObj.cpp.

46 {
47 while ( i > 0 ) {
48 ost << " ";
49 --i;
50 }
51 }

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/HistoryObj.h
- GaudiKernel/src/Lib/HistoryObj.cpp